# Avoid fsspec -> distributed -> dask -> fsspec dependency loop.
%bcond_without bootstrap

%global srcname fsspec

Name:           python-%{srcname}
Version:        2023.1.0
Release:        %mkrel 1
Summary:        Specification for Pythonic file system interfaces
Group:          Development/Python
License:        BSD
URL:            https://github.com/intake/filesystem_spec
Source0:        https://files.pythonhosted.org/packages/source/f/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cloudpickle)
%if %{without bootstrap}
BuildRequires:  python3dist(distributed)
%endif
BuildRequires:  python3dist(lz4)
BuildRequires:  python3dist(pandas)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(zstandard)


%description
Filesystem Spec is a project to unify various projects and classes to work with
remote filesystems and file-system-like abstractions using a standard pythonic
interface.


%package -n     python3-%{srcname}
Summary:        Specification for Pythonic file system interfaces
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Filesystem Spec is a project to unify various projects and classes to work with
remote filesystems and file-system-like abstractions using a standard pythonic
interface.


%prep
%autosetup -n %{srcname}-%{version} -p1

# Remove bundled egg-info
rm -rf %{srcname}.egg-info


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files fsspec


%check
#{pytest} -vra -k 'not test_find'  # Doesn't have a vcr cassette.


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Mon Jan 30 2023 daviddavid <daviddavid> 2023.1.0-1.mga9
+ Revision: 1937040
- new version: 2023.1.0

* Tue Jan 10 2023 daviddavid <daviddavid> 2022.11.0-1.mga9
+ Revision: 1932154
- new version: 2022.11.0
- switch to pyproject

* Wed Aug 24 2022 papoteur <papoteur> 2022.7.1-1.mga9
+ Revision: 1879900
- new 2022.7.1

* Tue Mar 29 2022 umeabot <umeabot> 2022.1.0-2.mga9
+ Revision: 1832186
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 2022.1.0-1.mga9
+ Revision: 1783496
- version 2022.1.0
- removed unneeded BR python3dist(aiohttp)
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 2021.4.0-1.mga9
+ Revision: 1717476
- initial package python-fsspec

